## com.google.appengine.api.memcache
Class MemcacheSerialization.ValueAndFlags

    java.lang.Object
      com.google.appengine.api.memcache.MemcacheSerialization.ValueAndFlags

Enclosing class:
  MemcacheSerialization

    public static class MemcacheSerialization.ValueAndFlags

extends java.lang.Object

Tuple of a serialized byte array value and associated flags to interpret that value. Used as the return from `MemcacheSerialization.serialize(java.lang.Object)`.

Field Summary
`MemcacheSerialization.Flag` `flags`
`byte[]` `value`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final byte[] value

### flags

    public final MemcacheSerialization.Flag flags